package com.heyu.api.data.entity.api;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*结果表
* @author quyixiao
* @since 2025-03-09
*/

@Data
@TableName("api_result")
public class ApiResultEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.api.ApiResultEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String param_md5 = CLASS_NAME + "param_md5";        // md5结果
    public final static String uri_ = CLASS_NAME + "uri";                   // 请求的uri
    public final static String param1_ = CLASS_NAME + "param1";             // 请求参数1
    public final static String param2_ = CLASS_NAME + "param2";             // 请求参数2
    public final static String param3_ = CLASS_NAME + "param3";             // 请求参数3
    public final static String param4_ = CLASS_NAME + "param4";             // 请求参数4
    public final static String param5_ = CLASS_NAME + "param5";             // 请求参数5
    public final static String param6_ = CLASS_NAME + "param6";             // 请求参数6
    public final static String param7_ = CLASS_NAME + "param7";             // 请求参数7
    public final static String param8_ = CLASS_NAME + "param8";             // 请求参数8
    public final static String param9_ = CLASS_NAME + "param9";             // 请求参数9
    public final static String param10_ = CLASS_NAME + "param10";           // 请求参数10
    public final static String result_ = CLASS_NAME + "result";             // 返回结果
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //md5结果
    private String paramMd5;
    //请求的uri
    private String uri;
    //请求参数1
    private String param1;
    //请求参数2
    private String param2;
    //请求参数3
    private String param3;
    //请求参数4
    private String param4;
    //请求参数5
    private String param5;
    //请求参数6
    private String param6;
    //请求参数7
    private String param7;
    //请求参数8
    private String param8;
    //请求参数9
    private String param9;
    //请求参数10
    private String param10;
    //返回结果
    private String result;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * md5结果 
     * @return
     */
    public String getParamMd5() {
        return paramMd5;
    }
    /**
     * md5结果 
     * @param paramMd5
     */
    public void setParamMd5(String paramMd5) {
        this.paramMd5 = paramMd5;
    }

    /**
     * 请求的uri 
     * @return
     */
    public String getUri() {
        return uri;
    }
    /**
     * 请求的uri 
     * @param uri
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * 请求参数1 
     * @return
     */
    public String getParam1() {
        return param1;
    }
    /**
     * 请求参数1 
     * @param param1
     */
    public void setParam1(String param1) {
        this.param1 = param1;
    }

    /**
     * 请求参数2 
     * @return
     */
    public String getParam2() {
        return param2;
    }
    /**
     * 请求参数2 
     * @param param2
     */
    public void setParam2(String param2) {
        this.param2 = param2;
    }

    /**
     * 请求参数3 
     * @return
     */
    public String getParam3() {
        return param3;
    }
    /**
     * 请求参数3 
     * @param param3
     */
    public void setParam3(String param3) {
        this.param3 = param3;
    }

    /**
     * 请求参数4 
     * @return
     */
    public String getParam4() {
        return param4;
    }
    /**
     * 请求参数4 
     * @param param4
     */
    public void setParam4(String param4) {
        this.param4 = param4;
    }

    /**
     * 请求参数5 
     * @return
     */
    public String getParam5() {
        return param5;
    }
    /**
     * 请求参数5 
     * @param param5
     */
    public void setParam5(String param5) {
        this.param5 = param5;
    }

    /**
     * 请求参数6 
     * @return
     */
    public String getParam6() {
        return param6;
    }
    /**
     * 请求参数6 
     * @param param6
     */
    public void setParam6(String param6) {
        this.param6 = param6;
    }

    /**
     * 请求参数7 
     * @return
     */
    public String getParam7() {
        return param7;
    }
    /**
     * 请求参数7 
     * @param param7
     */
    public void setParam7(String param7) {
        this.param7 = param7;
    }

    /**
     * 请求参数8 
     * @return
     */
    public String getParam8() {
        return param8;
    }
    /**
     * 请求参数8 
     * @param param8
     */
    public void setParam8(String param8) {
        this.param8 = param8;
    }

    /**
     * 请求参数9 
     * @return
     */
    public String getParam9() {
        return param9;
    }
    /**
     * 请求参数9 
     * @param param9
     */
    public void setParam9(String param9) {
        this.param9 = param9;
    }

    /**
     * 请求参数10 
     * @return
     */
    public String getParam10() {
        return param10;
    }
    /**
     * 请求参数10 
     * @param param10
     */
    public void setParam10(String param10) {
        this.param10 = param10;
    }

    /**
     * 返回结果 
     * @return
     */
    public String getResult() {
        return result;
    }
    /**
     * 返回结果 
     * @param result
     */
    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return "ApiResultEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",paramMd5=" + paramMd5 +
                ",uri=" + uri +
                ",param1=" + param1 +
                ",param2=" + param2 +
                ",param3=" + param3 +
                ",param4=" + param4 +
                ",param5=" + param5 +
                ",param6=" + param6 +
                ",param7=" + param7 +
                ",param8=" + param8 +
                ",param9=" + param9 +
                ",param10=" + param10 +
                ",result=" + result +
                "}";
    }
}